﻿Option Explicit On
Imports RSC_CoreModule

'Clear
'Jungle
'Woods
'Fae Woods
'River
'Swamp
'Mountains
'Desert
'City
'Ruins
'Ethereal Underworld
'Ethereal Outdoor
'Astral
'Psionic Underworld
'Psionic Outdoors
Public Class RandomLairs
    Private Clear As New RandomTable
    Private Woods As New RandomTable
    Private River As New RandomTable
    Private Swamp As New RandomTable
    Private Mountains As New RandomTable
    Private Desert As New RandomTable
    Private City As New RandomTable
    Private Ruins As New RandomTable
    Private EtherealUnderworld As New RandomTable
    Private EtherealOutdoor As New RandomTable
    Private Astral As New RandomTable
    Private PsionicUnderworld As New RandomTable
    Private PsionicOutdoors As New RandomTable

    Private MenTypical As New RandomTable
    Private MenWoods As New RandomTable
    Private MenMountain As New RandomTable
    Private MenDesert As New RandomTable
    Private MenWater As New RandomTable
    Private MenCityRuins As New RandomTable


    Public Sub New()
        SetupClass()
    End Sub

    Private Sub SetupClass()
        EtherealUnderworld.Add("Cockatrice", "Basilisk", "Medusa", "Gorgon", "Invisible Stalker", "Shedu", "Intellect Devourer", "Cerebral Parasites", "Thought Eaters", "Demon", "Lich", "Psionic Human", "Phase Spider", "Blink Dog", "Human Magic-user", "Human Cleric", "Cockatrice", "Basilisk", "Medusa", "Shedu")
        EtherealOutdoor.Add("Cockatrice", "Basilisk", "Medusa", "Gorgon", "Couatl", "Ki-Rin", "Intellect Devourer", "Cerebral Parasite", "Thought Eaters", "Demon", "Human Magic-User", "Psionic Human", "Catablepas", "Gorgon", "Human Cleric", "Cockatrice", "Basilisk", "Catoblepas", "Couatl", "Shedu")
        Astral.Add("Ki-Rin", "Demon", "Psionic Human", "Human Magic-user", "Human Cleric", "Cerebral Parasites", "Shedu", "Demon", "Intellect Devourer", "Human Magic-user", "Psionic Human", "Human Cleric")
        PsionicUnderworld.Add("Titan", "Lich", "Demon", "Shedu", "Intellect Devourer", "Mind Flayer", "Su-Monster", "Brain Mole", "Cerebral Parasites", "Thought Eater", "Psionic Human", "Human Magic-user", "Human Cleric", "Human Figher", "Human Thief", "Psionic Human")
        PsionicOutdoors.Add("Titan", "Demon", "Couatl", "Ki-Rin", "Shedu", "Intellect Devourer", "Su-Monster", "Brain Mole", "Cerebral Parasites", "Thought Eater", "Psionic Human", "Human Magic-user", "Human Cleric", "Human Figher", "Human Thief", "Psionic Human")
        Clear.Add("Men", "Flyer", "Giant", "Lycs", "Animals", "Men", "Animals", "Dragon", "Misc", "Giant", "Flyer", "Men")
        Woods.Add("Men", "Flyer", "Giant", "Lycs", "Animals", "Men", "Animals", "Dragon", "Misc", "Lycs", "Lycs", "Men")
        River.Add("Men", "Flyer", "Giant", "Lycs", "Animals", "Swmr", "Swmr", "Dragon", "Misc", "Swmr", "Swmr", "Men")
        Swamp.Add("Men", "Flyer", "Giant", "Lycs", "Animals", "Swmr", "Swmr", "Dragon", "Misc", "Swmr", "Swmr", "Undead")
        Mountains.Add("Men", "Flyer", "Giant", "Lycs", "Animals", "Men", "Animals", "Dragon", "Misc", "Giant", "Giant", "Flyer")
        Desert.Add("Men", "Flyer", "Giant", "Lycs", "Animals", "Men", "Animals", "Dragon", "Misc", "Dragon", "Men", "EnMr")
        City.Add("Men", "Undead", "Giant", "Lycs", "Men", "Men", "Undead", "Men", "Men", "Men", "Men", "Undead")
        Ruins.Add("Men", "Flyer", "Giant", "Lycs", "Animals", "Men", "Animals", "Dragon", "Misc", "EnMr", "Demon", "Giant")

    End Sub
End Class